Page MenuHomePhabricator

Decide how to handle tasks of archived projects (or vice versa)
Closed, DuplicatePublic

Description

Currently, there are various projects which are archived, but still have associated open tasks.

Possible solutions:

  • reactivate project
  • remove such project from tasks
  • other?

Event Timeline

Danny_B created this task.May 17 2016, 10:08 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 17 2016, 10:08 AM

IMO dead projects are dead and reactivating is a wrong signal, and removing projects from tasks removes information where a task "came from" and they'd get removed from the list of tasks associated to that (archived) project.

I recommend contacting project members and watchers and ask them what to do with the remaining tasks - e.g. decline those tasks if no other project is assigned, or triage those tasks by adding active projects to them.

To illustrate: Parser is an example of what I found

To illustrate: Parser is an example of what I found

I see zero open Parser tasks that have no other active project associated so I don't see a problem for that example and would not do anything with those tasks: https://phabricator.wikimedia.org/maniphest/query/UL_W4XYmlLU2/#R

For some historical background (Bugzilla keyword conversion), see T266

After T135493#2301151, what is left to do here to get consensus?

T134604 seems to be a more specific subcase, hence merged into that one.

Danny_B reopened this task as Open.Jun 9 2016, 1:13 PM

Not a dupe.

As long as there is at least another active project associated, there is simply nothing to do.
When there is no other active project associated, this is T134604.

@Danny_B: What else is left to do in this task?

mmodell added a subscriber: mmodell.

@Danny_B: Sorry. I didn't mean to undo your undo but how is this not a dupe?

Danny_B added a comment.EditedJul 15 2016, 11:38 PM

If there really has to be a dupe, then in the opposite way.

There is a significant difference:

This task is about tasks which have associated archived project (but not necessarily as the only one, which is what T134604: Decide how to handle tasks with archived projects only is more or less about) OR about archived projects, which have still open tasks associated (which is not handled in T134604).

Also, I've reported both tasks, so I obviously know about them, why would I dupe myself? ;-)

Dzahn added a subscriber: Dzahn.Jul 16 2016, 12:17 AM

Can we solve this technically? e.g. do not allow archiving of projects as long as they have open tasks.